# this file must be UTF-8 encoded
#####################################################################
#
# English Language text and icon macros 
#
######################################################################
#
# This is the main macro file for translation when creating an 
# interface in another language.

# Under the 'text macros' comments are text macros of the form:
# _macroname_ {macro value}
# Everything between the {} is the text to be translated. This text 
# may itself contain macros (i.e. characters other than space between
# underscore characters, e.g. _about:numdocs_ or _textpage_). These
# macro names occurring within text shouldn't be translated but should
# be left as they are. Underscores or curly brackets occurring 
# naturally within the text should be escaped with a leading backslash
# (i.e. '\_', '\{' or '\}).
#
# Comment lines (other than those described above) need not be 
# translated (i.e. any lines beginning with '#', like this line).
#
# The simplest way to translate this file is to save it as something
# else (e.g. french.dm) and work through translating all the text
# macro values and icon comments.
#
######################################################################


######################################################################
# Global (base) package
package Global
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textperiodicals_ [l=mr] {नियतकालिके}  # Updated 13-Aug-2006

# these three used by the default format statement of the demo and dls collections.
_textsource_ [l=mr] {शोधलेले संर्दभ}  # Updated 20-Sep-2006 by shubha
_textdate_ [l=mr] {प्रकाशनाची तारीख}  # Updated 15-Sep-2006 by shubha
_textnumpages_ [l=mr] {पृषठसंख्या}  # Updated 14-Sep-2006 by shubha

_textsignin_ [l=mr] {स्वाक्षरी करा }  # Updated 14-Sep-2006 by shubha

_textdefaultcontent_ [l=mr] {तुम्हाला हवे असलेले पान सापडले नाही.  ग्रीनस्टोनच्या मुख्यपानावर जाण्यासाठी कृपया ब्राउझर वरील बॅक वटण दाबा अथवा वरील होम बटण दाबा.}  # Updated 14-Sep-2006 by shubha

# -- Missing translation: _textdefaulttitle_

_textbadcollection_ [l=mr] {हा संग्रह  ग्रीनस्टोन डिजीटल लायब्ररी मध्ये नाही.}  # Updated 20-Sep-2006 by shubha

_textselectpage_ [l=mr] {पृष्ठ निवडा}  # Updated 18-Sep-2006 by shubha

_collectionextra_ [l=mr] {या ग्रंथ साठ्या मध्ये---दस्तऐवज आहेत.या ग्रंथ साठ्याची तारीख---}  # Updated 15-Sep-2006 by shubha

# this is only used by the collector (where the above _collectionextra_
# macro will always be set to another value)
_collectorextra_ [l=mr] {<p>या ग्रंथ साठ्या मध्ये---दस्तऐवज आहेत.("_numdocs_" eq "1",document,documents),  <p><a href="_httppagex_(bsummary)"> </a> to view the build summary for this collection.
}  # Updated 13-Aug-2006

_textdescrcollection_ [l=mr] {}
# -- Missing translation: _textdescrabout_
_textdescrhome_ [l=mr] {मुख्य पान}  # Updated 14-Sep-2006 by shubha
# -- Missing translation: _textdescrhelp_
# -- Missing translation: _textdescrpref_
_textdescrgreenstone_ [l=mr] {ग्रीनस्टोन डिजीटल लायब्ररी  सॅाफ्टवेअर}  # Updated 12-Sep-2006 by shubha
_textdescrusab_ [l=mr] {कठीण काय वाटले }  # Updated 15-Sep-2006 by shubha


# Metadata names and navigation bar labels

_textSearch_ [l=mr] {शोधा}  # Updated 14-Sep-2006 by shubha
# -- Missing translation: _labelSearch_

# Dublin Core Metadata Element Set, Version 1.1
# -- Missing translation: _textTitle_
_labelTitle_ [l=mr] {शिर्षके}  # Updated 14-Sep-2006 by shubha
# -- Missing translation: _textCreator_
# -- Missing translation: _labelCreator_
# -- Missing translation: _textSubject_
_labelSubject_ [l=mr] {विषय}  # Updated 14-Sep-2006 by shubha
_textDescription_ [l=mr] {सविस्तर}  # Updated 18-Sep-2006 by shubha
# -- Missing translation: _labelDescription_
# -- Missing translation: _textPublisher_
# -- Missing translation: _labelPublisher_
_textContributor_ [l=mr] {सहाय्यक}  # Updated 12-Sep-2006 by shubha
_labelContributor_ [l=mr] {सहाय्यक}  # Updated 26-Sep-2006 by shubha
# -- Missing translation: _textDate_
_labelDate_ [l=mr] {दिनांक}  # Updated 12-Sep-2006 by shubha
_textType_ [l=mr] {प्रकार}  # Updated 19-Sep-2006 by shubha
_labelType_ [l=mr] {प्रकार}  # Updated 26-Sep-2006 by shubha
_textFormat_ [l=mr] {प्रकार}  # Updated 26-Sep-2006 by shubha
_labelFormat_ [l=mr] {प्रकार}  # Updated 19-Sep-2006 by shubha
_textIdentifier_ [l=mr] {सिध्दकरणारा}  # Updated 20-Sep-2006 by shubha
# -- Missing translation: _labelIdentifier_
_textSource_ [l=mr] {फायलिंची नावे}  # Updated 14-Sep-2006 by shubha
# -- Missing translation: _labelSource_
_textLanguage_ [l=mr] {भाषा}  # Updated 18-Sep-2006 by shubha
_labelLanguage_ [l=mr] {भाषा}  # Updated 26-Sep-2006 by shubha
_textRelation_ [l=mr] {संबंधित}  # Updated 15-Sep-2006 by shubha
_labelRelation_ [l=mr] {संबंधित}  # Updated 20-Sep-2006 by shubha
_textCoverage_ [l=mr] {समाविष्ट}  # Updated 19-Sep-2006 by shubha
# -- Missing translation: _labelCoverage_
_textRights_ [l=mr] {योग्य}  # Updated 21-Sep-2006 by shubha
_labelRights_ [l=mr] {अधिकार}  # Updated 18-Sep-2006 by shubha

# DLS metadata set
_textOrganization_ [l=mr] {संस्था}  # Updated 14-Sep-2006 by shubha
_labelOrganization_ [l=mr] {संस्था}  # Updated 19-Sep-2006 by shubha
_textKeyword_ [l=mr] {शोध शब्द}  # Updated 16-Sep-2006 by shubha
_labelKeyword_ [l=mr] {मुख्यशब्द}  # Updated 20-Sep-2006 by shubha
# -- Missing translation: _textHowto_
# -- Missing translation: _labelHowto_

# Miscellaneous Greenstone metadata
_textPhrase_ [l=mr] {वाक्प्रचार}  # Updated 14-Sep-2006 by shubha
# -- Missing translation: _labelPhrase_
# -- Missing translation: _textCollage_
# -- Missing translation: _labelCollage_
_textBrowse_ [l=mr] {चाळा.}  # Updated 26-Sep-2006 by shubha
_labelBrowse_ [l=mr] {चाळणे}  # Updated 19-Sep-2006 by shubha
_textTo_ [l=mr] {पर्यंत}  # Updated 15-Sep-2006 by shubha
_labelTo_ [l=mr] {प्रति}  # Updated 26-Sep-2006 by shubha
_textFrom_ [l=mr] {पासून}  # Updated 15-Sep-2006 by shubha
_labelFrom_ [l=mr] {पासून}  # Updated 18-Sep-2006 by shubha
# -- Missing translation: _textAcronym_
_labelAcronym_ [l=mr] {संक्षिप्त रूप}  # Updated 14-Sep-2006 by shubha

# Navigation bar tooltip - to customize this for a specific metadata, add a macro named _textdescrXXX_ where XXX is the metadata name
# -- Missing translation: _textdescrdefault_

_textdescrSearch_ [l=mr] {विशिष्ट शब्द शोधा}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _textdescrType_
# -- Missing translation: _textdescrIdentifier_
_textdescrSource_ [l=mr] {मुळ फाईल नावा प्रमाणे चाळा}  # Updated 15-Sep-2006 by shubha
_textdescrTo_ [l=mr] {आशयाच्या अंकाप्रमाणे चाळा}  # Updated 14-Sep-2006 by shubha
_textdescrFrom_ [l=mr] {या विभागातून शोधा.}  # Updated 20-Sep-2006 by shubha
# -- Missing translation: _textdescrCollage_
# -- Missing translation: _textdescrAcronym_
_textdescrPhrase_ [l=mr] {वाक्प्रचार चाळा}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _textdescrHowto_
# -- Missing translation: _textdescrBrowse_
# -- Missing translation: _texticontext_
_texticonclosedbook_ [l=mr] {हा दस्तऐवज उघडा आणि अनुक्रमणिका पहा.}  # Updated 26-Sep-2006 by shubha
# -- Missing translation: _texticonnext_
# -- Missing translation: _texticonprev_

_texticonworld_ [l=mr] {माहितीजाळ्यावरील दस्तऐवज दाखवा}  # Updated 15-Sep-2006 by shubha

_texticonmidi_ [l=mr] {मिडी दस्तऐवज पहा.}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _texticonmsword_
_texticonmp3_ [l=mr] {दस्तऐवज  एम पी थ्री पहा}  # Updated 12-Sep-2006 by shubha
_texticonpdf_ [l=mr] {पीडीफ दस्तऐवज पहा.}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _texticonps_
_texticonppt_ [l=mr] {पॉवर पॉईंट दस्तऐवज पहा.}  # Updated 19-Sep-2006 by shubha
_texticonrtf_ [l=mr] {आर.टी.फ दस्तऐवज पहा.}  # Updated 14-Sep-2006 by shubha
# -- Missing translation: _texticonxls_

_page_ [l=mr] {पान}  # Updated 18-Sep-2006 by shubha
_pages_ [l=mr] {पाने}  # Updated 22-Aug-2006
_of_ [l=mr] {चे}  # Updated 18-Sep-2006 by shubha
_vol_ [l=mr] {पुस्तक}  # Updated 15-Sep-2006 by shubha
_num_ [l=mr] {क्रमांक.}  # Updated 18-Sep-2006 by shubha

_textmonth00_ [l=mr] {}
_textmonth01_ [l=mr] {जानेवारी}  # Updated 19-Sep-2006 by shubha
_textmonth02_ [l=mr] {फेब्रुवारी}  # Updated 19-Sep-2006 by shubha
_textmonth03_ [l=mr] {मार्च}  # Updated 26-Sep-2006 by shubha
_textmonth04_ [l=mr] {एप्रिल}  # Updated 26-Sep-2006 by shubha
# -- Missing translation: _textmonth05_
# -- Missing translation: _textmonth06_
# -- Missing translation: _textmonth07_
# -- Missing translation: _textmonth08_
# -- Missing translation: _textmonth09_
_textmonth10_ [l=mr] {आक्टोबर}  # Updated 26-Sep-2006 by shubha
_textmonth11_ [l=mr] {नोव्हेंबर}  # Updated 26-Sep-2006 by shubha
# -- Missing translation: _textmonth12_

_textdocument_ [l=mr] {दस्तऐवज}  # Updated 13-Aug-2006
# -- Missing translation: _textsection_
# -- Missing translation: _textparagraph_

_magazines_ [l=mr] {मासिक}  # Updated 15-Sep-2006 by shubha

# -- Missing translation: _nzdlpagefooter_

_linktextHOME_ [l=mr] {मुख्य पान}  # Updated 19-Sep-2006 by shubha
_linktextHELP_ [l=mr] {मदत}  # Updated 14-Sep-2006 by shubha
_linktextPREFERENCES_ [l=mr] {प्राधान्य}  # Updated 18-Sep-2006 by shubha


######################################################################
# 'about' page
package about
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textabcol_ [l=mr] {संकलना संर्दभात}  # Updated 18-Sep-2006 by shubha

_textsubcols1_ [l=mr] {सध्या उपलब्ध आहे}  # Updated 14-Sep-2006 by shubha

_textsubcols2_ [l=mr] {निवडलेल्या पानातील सध्या वापरत असलेले उपसंग्रह तुम्ही तपासू (आणि बदलू) शकता}  # Updated 14-Sep-2006 by shubha

_titleabout_ [l=mr] {सुमारे}  # Updated 26-Sep-2006 by shubha


######################################################################
# document package
package document
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_texticonopenbookshelf_ [l=mr] {ग्रंथालयाचा हा विभाग बंद करा}  # Updated 14-Sep-2006 by shubha
_texticonclosedbookshelf_ [l=mr] {ग्रंथालयातील हा विभाग उघडून त्यातील अनुक्रमणिका बघा}  # Updated 15-Sep-2006 by shubha
_texticonopenbook_ [l=mr] {हे पुस्तक बंद करा}  # Updated 14-Sep-2006 by shubha
_texticonclosedfolder_ [l=mr] {हे फोल्डर उघडा आणि त्यातील माहीती पहा}  # Updated 13-Aug-2006
_texticonclosedfolder2_ [l=mr] {उपविभाग उघडा}  # Updated 15-Sep-2006 by shubha
_texticonopenfolder_ [l=mr] {फोल्डर बंद करा}  # Updated 15-Sep-2006 by shubha
_texticonopenfolder2_ [l=mr] {उपविभाग बंद करा}  # Updated 20-Sep-2006 by shubha
_texticonsmalltext_ [l=mr] {मजकूरातील हा भाग बघा}  # Updated 19-Sep-2006 by shubha
_texticonsmalltext2_ [l=mr] {लेख दाखवा.}  # Updated 26-Sep-2006 by shubha
_texticonpointer_ [l=mr] {चालू विभाग}  # Updated 16-Sep-2006 by shubha
_texticondetach_ [l=mr] {हे पान नवीन खिडकीमध्ये उघडा}  # Updated 26-Sep-2006 by shubha
_texticonhighlight_ [l=mr] {शोधावयाचे शब्द ठळक करा}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _texticonnohighlight_
_texticoncontracttoc_ [l=mr] {क्रमवारीत येत नाही.}  # Updated 14-Sep-2006 by shubha
_texticonexpandtoc_ [l=mr] {अनुक्रमणिका विस्ताराने बघा}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _texticonexpandtext_
_texticoncontracttext_ [l=mr] {सध्या निवड केलेलया विभागातील माहिती बघा
}  # Updated 14-Sep-2006 by shubha
_texticonwarning_ [l=mr] {सुचना}  # Updated 19-Sep-2006 by shubha
_texticoncont_ [l=mr] {पुढे जायचय?}  # Updated 18-Sep-2006 by shubha

_textltwarning_ [l=mr] {?}  # Updated 15-Sep-2006 by shubha

_textgoto_ [l=mr] {या पानावर जा}  # Updated 19-Sep-2006 by shubha
_textintro_ [l=mr] {प्राथमिक मजकूर}  # Updated 19-Sep-2006 by shubha

_textCONTINUE_ [l=mr] {पुढे जायचय?}  # Updated 18-Sep-2006 by shubha

_textEXPANDTEXT_ [l=mr] {मजकूर विसर}  # Updated 15-Sep-2006 by shubha

_textCONTRACTCONTENTS_ [l=mr] {अनुक्रमणिका संक्षित करा}  # Updated 14-Sep-2006 by shubha

_textDETACH_ [l=mr] {वियुक्त करा}  # Updated 15-Sep-2006 by shubha

# -- Missing translation: _textEXPANDCONTENTS_

_textCONTRACT_ [l=mr] {मजकूर संक्षिप्त का}  # Updated 26-Sep-2006 by shubha

_textHIGHLIGHT_ [l=mr] {ठळक करा}  # Updated 26-Sep-2006 by shubha

# -- Missing translation: _textNOHIGHLIGHT_


######################################################################
# 'search' page
package query
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

# this if statement produces the text 'results n1 - nn for query: querystring' or 
# 'No matches for query: querystring', depending on whether or not there were
# any matches
_textquerytitle_ [l=mr] {?}  # Updated 14-Sep-2006 by shubha
_textnoquerytitle_ [l=mr] {शोध पान }  # Updated 14-Sep-2006 by shubha

_textsome_ [l=mr] {काही}  # Updated 19-Sep-2006 by shubha
_textall_ [l=mr] {सर्व}  # Updated 18-Sep-2006 by shubha
# -- Missing translation: _textboolean_
# -- Missing translation: _textranked_
# -- Missing translation: _textnatural_
_textsortbyrank_ [l=mr] {संबंधित क्रमांक}  # Updated 21-Sep-2006 by shubha
# -- Missing translation: _texticonsearchhistorybar_

_textifeellucky_ [l=mr] {?}  # Updated 19-Sep-2006 by shubha

#alt text for query buttons
_textusequery_ [l=mr] {हा प्रश्न वापरा.}  # Updated 25-Sep-2006 by shubha
_textfreqmsg1_ [l=mr] {शब्द संख्या:}  # Updated 14-Sep-2006 by shubha
# -- Missing translation: _textpostprocess_
# -- Missing translation: _textinvalidquery_
_textstopwordsmsg_ [l=mr] {या संज्ञा सामान्य आहेत}  # Updated 19-Sep-2006 by shubha
# -- Missing translation: _textlucenetoomanyclauses_

# -- Missing translation: _textmorethan_
# -- Missing translation: _textapprox_
_textnodocs_ [l=mr] {कोणतेही दस्तऐवज प्रश्नाशी जुळले नाहीत}  # Updated 26-Sep-2006 by shubha
_text1doc_ [l=mr] {१ दस्तऐवज प्रश्राशी जुळला}  # Updated 26-Sep-2006 by shubha
_textlotsdocs_ [l=mr] {प्रश्राशी जुळलेले दस्तऐवज}  # Updated 26-Sep-2006 by shubha
_textmatches_ [l=mr] {जुळणारा}  # Updated 14-Sep-2006 by shubha
_textbeginsearch_ [l=mr] {शोधण्यास सुरवात करा.}  # Updated 19-Sep-2006 by shubha
_textrunquery_ [l=mr] {प्रश्नाचे उत्तर शोधा}  # Updated 15-Sep-2006 by shubha
_textclearform_ [l=mr] {पुनर्लेखन}  # Updated 19-Sep-2006 by shubha

#these go together in form search:
#"Words  (fold, stem)  ... in field"
_textwordphrase_ [l=mr] {शब्द किंवा वाक्प्रचार / वाक्यांश}  # Updated 14-Sep-2006 by shubha
# -- Missing translation: _textinfield_
_textfoldstem_ [l=mr] {?}  # Updated 26-Sep-2006 by shubha

_textadvquery_ [l=mr] {किंवा सरळ प्रश्न लिहा}  # Updated 15-Sep-2006 by shubha
_textallfields_ [l=mr] {सर्व क्षेत्रे}  # Updated 14-Sep-2006 by shubha
_texttextonly_ [l=mr] {फक्त मजकूर}  # Updated 14-Sep-2006 by shubha
_textand_ [l=mr] {आणि}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _textor_
_textandnot_ [l=mr] {आणि नाही}  # Updated 18-Sep-2006 by shubha

# _indexselection_, _jselection_, _nselection_ and _gselection_ are set from 
# within the server - _indexselection_ is always set, but the others may be 
# unset

_textsimplesearch_ [l=mr] {या चौकटीत आपला प्रश्न लिहा}  # Updated 14-Sep-2006 by shubha

# -- Missing translation: _textadvancedsearch_

_textadvancedmgppsearch_ [l=mr] {?}  # Updated 16-Sep-2006 by shubha

_textadvancedlucenesearch_ [l=mr] {?}  # Updated 19-Sep-2006 by shubha

_textformsimplesearch_ [l=mr] {?}  # Updated 26-Sep-2006 by shubha

_textformadvancedsearchmgpp_ [l=mr] {?}  # Updated 20-Sep-2006 by shubha

_textformadvancedsearchlucene_ [l=mr] {?}  # Updated 20-Sep-2006 by shubha

_textnojsformwarning_ [l=mr] {सुचनाःजावास्क्रिप्ट तुमच्या ब्राउझर वर बंद आहे. शोधण्यासाठी फॉर्म हवा असल्यास जावास्क्रिप्ट चालु करा.}  # Updated 16-Sep-2006 by shubha
_textdatesearch_ [l=mr] {हा माहितीसाठा विशिष्ठ तारखे पासून विशिष्ठ तारखे पर्यंत शोधता येतो.  हा शोध ऐच्छिक आहे.}  # Updated 13-Aug-2006
_textstartdate_ [l=mr] {सुरूवात (किंवा फक्त) तारीख}  # Updated 19-Sep-2006 by shubha
# -- Missing translation: _textenddate_
_textbc_ [l=mr] {?}  # Updated 15-Sep-2006 by shubha
_textad_ [l=mr] {कॉमन एरा}  # Updated 14-Sep-2006 by shubha
_textexplaineras_ [l=mr] {?}  # Updated 14-Sep-2006 by shubha

# -- Missing translation: _textstemon_

_textsearchhistory_ [l=mr] {या पुर्वीचे शोध}  # Updated 26-Sep-2006 by shubha

#text macros for search history
# -- Missing translation: _textnohistory_
_texthresult_ [l=mr] {निकाल}  # Updated 14-Sep-2006 by shubha
# -- Missing translation: _texthresults_
# -- Missing translation: _texthallwords_
# -- Missing translation: _texthsomewords_
# -- Missing translation: _texthboolean_
# -- Missing translation: _texthranked_
_texthcaseon_ [l=mr] {?}  # Updated 19-Sep-2006 by shubha
_texthcaseoff_ [l=mr] {?}  # Updated 19-Sep-2006 by shubha
# -- Missing translation: _texthstemon_
# -- Missing translation: _texthstemoff_


######################################################################
# 'preferences' page
package preferences
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

# -- Missing translation: _textprefschanged_
# -- Missing translation: _textsetprefs_
_textsearchprefs_ [l=mr] {प्राधान्य निश्चिती}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _textcollectionprefs_
_textpresentationprefs_ [l=mr] {सादरीकरणाचा प्राधान्यक्रम}  # Updated 12-Sep-2006 by shubha
# -- Missing translation: _textpreferences_
_textcasediffs_ [l=mr] {(not applicable in marathi)}  # Updated 26-Sep-2006 by shubha
# -- Missing translation: _textignorecase_
# -- Missing translation: _textmatchcase_
_textwordends_ [l=mr] {अंत्याक्षर}  # Updated 19-Sep-2006 by shubha
# -- Missing translation: _textstem_
_textnostem_ [l=mr] {संपुर्ण शब्द जुळला पाहिजे}  # Updated 19-Sep-2006 by shubha
_textaccentdiffs_ [l=mr] {?}  # Updated 27-Sep-2006 by shubha
# -- Missing translation: _textignoreaccents_
# -- Missing translation: _textmatchaccents_

# -- Missing translation: _textprefop_
_textextlink_ [l=mr] {बाहेरील माहिती जाळ्याकडील पानांवर जाण्याचा मार्ग}  # Updated 15-Sep-2006 by shubha
_textintlink_ [l=mr] {शोधलेले दस्तऐवज}  # Updated 14-Sep-2006 by shubha
_textlanguage_ [l=mr] {दर्शनी भाषा:}  # Updated 14-Sep-2006 by shubha
# -- Missing translation: _textencoding_
_textformat_ [l=mr] {प्रदर्शनाचा प्रकार निवड}  # Updated 15-Sep-2006 by shubha
_textall_ [l=mr] {सर्व  }  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _textquerymode_
_textsimplemode_ [l=mr] {सोप्या भाषेत शोध}  # Updated 19-Sep-2006 by shubha
# -- Missing translation: _textadvancedmode_
_textlinkinterm_ [l=mr] {मधल्या पानावरून }  # Updated 14-Sep-2006 by shubha
_textlinkdirect_ [l=mr] {त्यावर जा.}  # Updated 14-Sep-2006 by shubha
_textdigitlib_ [l=mr] {डिजीटल लायब्ररी }  # Updated 20-Sep-2006 by shubha
_textweb_ [l=mr] {जाळे}  # Updated 26-Sep-2006 by shubha
_textgraphical_ [l=mr] {आलेखीय}  # Updated 20-Sep-2006 by shubha
_texttextual_ [l=mr] {आशय शोध}  # Updated 26-Sep-2006 by shubha
_textcollectionoption_ [l=mr] {?}  # Updated 26-Sep-2006 by shubha

# -- Missing translation: _textsearchtype_
_textformsearchtype_ [l=mr] {क्षेत}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _textplainsearchtype_
# -- Missing translation: _textregularbox_
_textlargebox_ [l=mr] {मोठा}  # Updated 19-Sep-2006 by shubha

# -- Missing translation: _textrelateddocdisplay_
_textsearchhistory_ [l=mr] {या पुर्वीचे शोध}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _textnohistory_
# -- Missing translation: _texthistorydisplay_
# -- Missing translation: _textnohistorydisplay_


#####################################################################
# 'browse' package for the dynamic browsing interface
package browse
#####################################################################

_textsortby_ [l=mr] {दस्तऐवजाची विभागणी करा}  # Updated 19-Sep-2006 by shubha
# -- Missing translation: _textalsoshowing_
_textwith_ [l=mr] {सर्व }  # Updated 15-Sep-2006 by shubha
_textdocsperpage_ [l=mr] {प्रत्येक पानावरील दस्तऐवज }  # Updated 12-Sep-2006 by shubha

_textfilterby_ [l=mr] {दस्तऐवजाचा समावेश}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _textall_
_textany_ [l=mr] {कोणतेही}  # Updated 15-Sep-2006 by shubha
# -- Missing translation: _textwords_
_textleaveblank_ [l=mr] {सर्व दस्तऐवज बघण्यासाठी हा चौकोन रिकामा सोडा}  # Updated 14-Sep-2006 by shubha

_browsebuttontext_ [l=mr] {दस्तऐवजाची विभागणी करा}  # Updated 19-Sep-2006 by shubha

# -- Missing translation: _nodata_
_docs_ [l=mr] {दस्तऐवज}  # Updated 19-Sep-2006 by shubha
######################################################################
# 'help' page -- this is lower priority for translating than the
# rest of this file
package help
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textHelp_ [l=mr] {मदत}  # Updated 18-Sep-2006 by shubha

# Macros giving a brief help message for navigation bar access buttons
# The arguments to this will be _textXXX_ and _labelXXX_, where XXX is the metadata name. For example, to print out the help message for a titles classifier, the library will use _textdefaulthelp_(_textTitle_,_labelTitle_)
# To customize this for a specific metadata, add a macro named _textXXXhelp_ where XXX is the metadata name
# -- Missing translation: _textdefaulthelp_

_textSearchhelp_ [l=mr] {संपुर्ण आशयातील शब्द शोधायचे असल्यास आपण शोधु शकता. हे सुरवातीचे पान आहे. या पानावर आपण परत येऊ शकता. त्या साठी ''शोधा'' हे बटण दाबा.}  # Updated 26-Sep-2006 by shubha
# -- Missing translation: _textTohelp_
# -- Missing translation: _textFromhelp_
_textBrowsehelp_ [l=mr] {दस्तऐवज चाळा}  # Updated 21-Sep-2006 by shubha
_textAcronymhelp_ [l=mr] {संक्षिप्त रूप हे बटन दाबल्यास प्राप्तहोणारे दस्तऐवज दाखवा}  # Updated 19-Sep-2006 by shubha
_textPhrasehelp_ [l=mr] {प्रकाशनात असलेले वाक्प्रचार चाळा}  # Updated 26-Sep-2006 by shubha

_texthelptopicstitle_ [l=mr] {आशय}  # Updated 14-Sep-2006 by shubha

_textreadingdocs_ [l=mr] {दस्तऐवज कसे वाचायचे}  # Updated 15-Sep-2006 by shubha

_texthelpreadingdocs_ [l=mr] {?}  # Updated 15-Sep-2006 by shubha

# help about the icons
_texthelpopenbookshelf_ [l=mr] {हा दस्तऐवज उघडा आणि अनुक्रमणिका पहा.}  # Updated 14-Sep-2006 by shubha
_texthelpopenbook_ [l=mr] {हा दस्तऐवज उघडा/पुस्तक बंद करा}  # Updated 18-Sep-2006 by shubha
_texthelpviewtextsection_ [l=mr] {मजकूरातील हा भाग बघा}  # Updated 14-Sep-2006 by shubha
_texthelpexpandtext_ [l=mr] {सर्व माहिती बघा किंवा नाही.}  # Updated 18-Sep-2006 by shubha
_texthelpexpandcontents_ [l=mr] {अनुक्रमणिका विस्ताराने बघा,आणि नाही}  # Updated 19-Sep-2006 by shubha
_texthelpdetachpage_ [l=mr] {हे पान नविन चौकटीत उघडा}  # Updated 12-Sep-2006 by shubha
_texthelphighlight_ [l=mr] {शोधावयाचे शब्द ठळक करा}  # Updated 15-Sep-2006 by shubha
_texthelpsectionarrows_ [l=mr] {आधिच्या किंवा पुढील पानावर जा}  # Updated 20-Sep-2006 by shubha


_texthelpsearchingtitle_ [l=mr] {आवश्यक संञा कशा बघाव्यात}  # Updated 18-Sep-2006 by shubha

# -- Missing translation: _texthelpsearching_

_texthelpquerytermstitle_ [l=mr] {शब्द शोधा}  # Updated 20-Sep-2006 by shubha
_texthelpqueryterms_ [l=mr] {दस्तऐवज शोधण्यासाठी ज्या संज्ञांचा वापर केला जातो त्यांना शोध संज्ञा म्हणतात.या संज्ञा म्हणजे वर्णानुक्रम मुळाक्षरे असतात.विरामचिन्हांचा उपयोग केल्यास दस्तऐवजाचा शोध घेता येत नाही.}  # Updated 20-Sep-2006 by shubha

# -- Missing translation: _texthelpmgppsearching_

_texthelplucenesearching_ [l=mr] {?}  # Updated 19-Sep-2006 by shubha

_texthelpquerytypetitle_ [l=mr] {चौकशी}  # Updated 19-Sep-2006 by shubha
_texthelpquerytype_ [l=mr] {?}  # Updated 19-Sep-2006 by shubha

# -- Missing translation: _texthelpadvancedsearchtitle_

# -- Missing translation: _texthelpadvancedsearch_

# -- Missing translation: _texthelpadvsearchmg_

# -- Missing translation: _texthelpbooleansearch_

_texthelpadvsearchmgpp_ [l=mr] {?}  # Updated 19-Sep-2006 by shubha

_texthelpadvancedsearchextra_ [l=mr] {सूचना सोप्या भाषेत शोध घेतला तर शब्दांचा शेवटचा भाग दुर्लक्षित करा}  # Updated 20-Sep-2006 by shubha

# -- Missing translation: _texthelpadvsearchlucene_

_texthelpformsearchtitle_ [l=mr] {शोधलेल्या पासून}  # Updated 26-Sep-2006 by shubha

# -- Missing translation: _texthelpformsearch_

_texthelpformstemming_ [l=mr] {?}  # Updated 27-Sep-2006 by shubha

# -- Missing translation: _textdatesearch_

_texthelpdatesearch_ [l=mr] {?}  # Updated 25-Sep-2006 by shubha

# -- Missing translation: _texthelpdatehowtotitle_
# -- Missing translation: _texthelpdatehowto_

_texthelpdateresultstitle_ [l=mr] {या विभागातील माहिती शोधण्याचे मार्ग}  # Updated 18-Sep-2006 by shubha
_texthelpdateresults_ [l=mr] {?}  # Updated 26-Sep-2006 by shubha

# -- Missing translation: _textchangeprefs_

_texthelppreferences_ [l=mr] {?}  # Updated 15-Sep-2006 by shubha

# -- Missing translation: _texthelpcollectionprefstitle_
_texthelpcollectionprefs_ [l=mr] {?}  # Updated 15-Sep-2006 by shubha

_texthelplanguageprefstitle_ [l=mr] {भाषेचा प्राधान्यक्रम}  # Updated 14-Sep-2006 by shubha
# -- Missing translation: _texthelplanguageprefs_

_texthelppresentationprefstitle_ [l=mr] {सादरीकरणाचे प्राधान्य}  # Updated 19-Sep-2006 by shubha
# -- Missing translation: _texthelppresentationprefs_

# -- Missing translation: _texthelpsearchprefstitle_
# -- Missing translation: _texthelpsearchprefs_

# -- Missing translation: _textcasefoldprefs_
# -- Missing translation: _textstemprefs_
# -- Missing translation: _textaccentfoldprefs_
 
_textstemoptionsprefs_ [l=mr] {?}  # Updated 28-Sep-2006 by shubha

_textsearchtypeprefsplain_ [l=mr] {प्रश्र विचारण्यासाठी मोठा चौकोन मिळू शकतो का,त्यामुळे जास्त माहितीचा शोध लवकर घेता येईल.यामुळे जास्त माहितीसाठा लवकर प्राप्त होऊ शकेल.}  # Updated 19-Sep-2006 by shubha

_textsearchtypeprefsform_ [l=mr] {तुम्ही हे क्रमांक बदलू शकता.}  # Updated 19-Sep-2006 by shubha

# -- Missing translation: _textsearchtypeprefsboth_



# -- Missing translation: _texttanumbrowseoptions_

_textsimplehelpheading_ [l=mr] {संग्रहनाव संग्रह कसा शोधावा}  # Updated 15-Sep-2006 by shubha

_texthelpscopetitle_ [l=mr] {शंकेचा खुलासा}  # Updated 15-Sep-2006 by shubha
_texthelpscope_ [l=mr] {साधारणपणे संग्रहामध्ये दस्तऐवजाचा शोध घेताना विविध निर्देशांचा उपयोग केला जातो जसे ग्रंथनाम,ग्रंथकार ,इत्यादि.
कोणत्या निर्देशांचा उपयोग केला,यावर जुळणारे दस्तऐवज मिळू शकतात.
जर दस्तऐवज हा एखादा ग्रंथ असेल तर,तो योग्य जागी मिळतो.}  # Updated 14-Sep-2006 by shubha
